/**
 * @Author Pull
 * @Date 2021-08-17 15:43
 * @project Main_Process_Dialog_Type
 */
export const AppletIPCType: {
    ShowMiniProgram: string;
    CloseMiniProgram: string;
    ShowAction: string;
    CloseActionBoard: string;
    shareToChat: string;
    shareToMoments: string;
    minimize: string;
    ContentViewBack: string;
    ReloadLink: string;
};
export const SettingIPCType: {
    SettingsDataUpdate: string;
    SettingsWinToggle: string;
    settingActionAutoTheme: string;
    settingActionLightTheme: string;
    settingActionDarkTheme: string;
    settingUserInfoUpdate: string;
    closeSetting: string;
    forceExit: string;
    updateLocale: string;
    settingsApply: string;
    logout: string;
};
export namespace MomentsIPCTypes {
    const shareApplet: string;
}
export namespace ChatIPCType {
    const forwardApplet: string;
}
export namespace LightBoxIPCType {
    const initData: string;
    const createLightBox: string;
}
export default IPCType;
declare namespace IPCType {
    export const CHECKING_UPDATE_RESULT: string;
    export { AppletIPCType };
    export { SettingIPCType };
    export { LightBoxIPCType };
    export { ChatIPCType };
    export { MomentsIPCTypes };
    export namespace Common {
        const intlTranslate: string;
    }
}
