declare function updateCommentIds(momentId: string): Promise<void>;
declare function getCommentList(momentId: string, page?: number, pageSize?: number): Promise<{
    data: {
        commentLevel: import("@newSdk/model/comment/CommentItem").ReplyItem[];
        secondLevel: import("lodash").Dictionary<{
            id: string;
            data: any[];
            total: number;
        }[]>;
    };
    total: number;
}>;
declare function getCommentListBy(commentIds: string[]): Promise<{
    data: {
        commentLevel: import("@newSdk/model/comment/CommentItem").ReplyItem[];
        secondLevel: import("lodash").Dictionary<{
            id: string;
            data: any[];
            total: number;
        }[]>;
    };
}>;
declare function getReplyList(commentId: string, page?: number, pageSize?: number): Promise<{
    data: import("@newSdk/model/comment/CommentItem").ReplyItem[];
    total: number;
}>;
declare function getIndexOfId(pid: string, id: string): Promise<number>;
declare function getCommentTotalCount(momentId: string): Promise<number>;
declare function getPid(cid: string): Promise<string | undefined>;
declare function addCommentsObserver(fn: (data: any) => void): void;
declare function removeCommentsObserver(fn: (data: any) => void): void;
export { updateCommentIds, getCommentList, getCommentTotalCount, addCommentsObserver, removeCommentsObserver, getReplyList, getIndexOfId, getCommentListBy, getPid, };
