/**
 * @typedef {Object} IProps
 * @property { string } type
 * @property { Object } info
 * @property { boolean } selected
 */
/**
 * @extends {React.Component<IProps}
 */
export class RowItem extends React.Component<IProps, any, any> {
    constructor(props: IProps | Readonly<IProps>);
    constructor(props: IProps, context: any);
    componentDidMount(): void;
    renderAvatar(combineInfos: any): any;
    renderName(combineInfos: any): any;
    renderLightingName(keyords: any, search: any, className: any): JSX.Element;
    combineInfo: () => {
        constructor: Function;
        toString(): string;
        toLocaleString(): string;
        valueOf(): Object;
        hasOwnProperty(v: PropertyKey): boolean;
        isPrototypeOf(v: Object): boolean;
        propertyIsEnumerable(v: PropertyKey): boolean;
    };
    handleCheckChange: (flag: any) => void;
    render(): JSX.Element | null;
}
export default RowItem;
export type IProps = {
    type: string;
    info: Object;
    selected: boolean;
};
import React from "react";
