/**
 * @typedef { Object } IProps
 * @property { function } onPressEnter
 * @property { string } defaultValue
 * @property { string } value
 * @property { string } className
 * @property { React.CSSProperties } bodyStyle
 */
/**
 *
 * @type { React.FunctionComponent<IProps>} props
 */
export const EditInput: React.FunctionComponent<IProps>;
export default EditInput;
export type IProps = {
    onPressEnter: Function;
    defaultValue: string;
    value: string;
    className: string;
    bodyStyle: React.CSSProperties;
};
import React from "react";
