export default ActionType;
declare namespace ActionType {
    const INIT_SOURCE: string;
    const DOWNLOAD_THUMBNAIL: string;
    const DOWNLOAD_ORIGIN: string;
    const VIEW_CHANGE: string;
    const SYNC_STORE: string;
    const UPDATE_PATH: string;
}
export class InitAction {
    constructor(data: any);
    type: string;
    data: {
        list: never[];
        forceIndex: number;
    };
}
export class SyncAction {
    constructor(data: any);
    type: string;
    data: {};
}
export class ViewChangeAction {
    constructor(index: any);
    type: string;
    data: {
        index: number;
    };
}
export class UpdateAction {
    constructor(data: any);
    type: string;
    data: {
        mid: string;
        path: string;
    };
}
