export interface ISendChatMessageRequest {
    mid: string;
    amid: string;
    chat_id: string;
    content: string;
    extra?: any[];
    type: number;
    send_time: number;
}
export interface ISendChatMessageResponse {
    sequence: number;
    err_code: 100002;
    err_msg: string;
}
export declare const sendChatMessage: (data: ISendChatMessageRequest) => Promise<ISendChatMessageResponse>;
